=pod

Module O_U.pm 

A component of the checker group of programs for monitoring applications, databases, networks, 
all types of servers, and more. By Nova Software, Inc. 

Copyright  by Nova Software, Inc. 2018  All rights reserved.  http://www.nova-sw.com

=cut
  package O_U ; our $VERSION = 0.1805012; use strict; use warnings; use sigtrap; use O_B 0.170824; use O_M 0.170824; use MIME::Base64;
use IO::File; use File::Copy ; use Time::HiRes 'gettimeofday'; use POSIX qw(setsid _exit);  use Time::Local; use HTTP::Request::Common 'POST'; use LWP::Protocol::https;  use LWP::UserAgent;  use JinKey;  BEGIN { use Exporter (); our @ISA = qw(Exporter); our @EXPORT = qw( xuU  fbU  gxU  yaU  qzU  raU  abU 
e1U  rdU  u2U  bxU  qaU  klU  uaU  zgU  zaU  oaU  qmU  elU  dfU  bgU  bpU  ohU  oeU  t1U  h3U  phU 
i2U  ccU  xxU  gmU mmU ktU ybU wxU ppU flU mhU eoU g2U new_pad_written h2U nqU zdU jvU sgU xbU
ciU iqU vlU ); } sub zdU {  { 1 => 'appchkr -- checks all types', 2 => 'dbchkr -- checks databases', 3 => 'facilitychkr -- checks printers, copiers, etc.', 4 => 'networkchkr -- checks network system hw & sw', 5 => 'securitychkr -- checks security system hw & sw', 6 => 'serverchkr -- checks servers', 7 => 'sohochkr -- checks small office and home office hw & sw', 8 => 'testchkr -- checks test, QA/QC, & Certification systems', };  } { my $ziU; sub npU { 
return unless ref $ziU; my ($wqU, $xiU)  = @_; my $zkU = aqM.cwM( 43, $xiU, $wqU ) ; $ziU->($zkU, aqM.cwM(49), q1B);    } sub fwU { $ziU = shift } } sub nqU { my $wbU = shift;  opendir OBFDH, $wbU or die seM.cwM( 6, 51, "$wbU\n$!" ) ;  my @tpU = readdir OBFDH  or die seM.cwM( 6, 52, "$wbU\n$!" ) ;  my $xaU = gpB ; my $lpU = txB ;  return @tpU = grep /^$lpU\w+\.$xaU/, @tpU;  } sub u2U { my ($vtU) = @_; my $qfU = 0; if ( -f $vtU ) { ($qfU, my $l4U) = flU( $vtU ); 
if ($qfU) { my $zkU = seM."\n".riB().cwM( 2, $l4U ); $zkU .= cwM( 3)  if (riB() !~/uwi$/i); warn "                                                                                                   \n";   die $zkU.cwM( 67); } elsif ( $l4U =~/^\d+$/)  { print cwM( 4, '', $l4U ) ;   } else { print  d1M.cwM( 46, "'$l4U'") ;  } } } sub ppU {  my ($nwU, $uxU) = @_ ;  if ($uxU) { my ($qfU, $ejU) = flU( $nwU );   if ( $ejU =~/^\d+$/ ) {  if ($ejU == $$) { 
return 0;   } elsif ($qfU) { return $ejU; } else {  print cwM( 4, $nwU, $ejU)  if $ejU ;  }  } else {  } } my $tqU = $uxU  ?  $$  : 0 ;  my $wqU = qmU($nwU, $tqU) ;  cwM( 6, 43, $wqU)  if $wqU;   return 0;   } sub mhU { my $u3U = shift;  my @tmp = (); 
if ( open CCFH, "< $u3U"  ) { @tmp = <CCFH>;  close CCFH; } return (join("\n",@tmp) , $!);   } sub flU { my $svU = shift;  my ($l4U, $wqU) = mhU($svU); $l4U =~s/\s//g;  chomp $l4U; return ( 0, $l4U) unless ($l4U =~/^\d+$/ and $l4U > 0);   return (kill(0, $l4U) , $l4U ); } sub bxU { my $glU = w1B().xhB().mdB();  qaU( 8,  $glU,  mdB()." $0", 
@_,  ); exit 0; } sub qaU { my $ugU = shift;  my $glU = shift;  my $icU = shift;  my $btU = '';  my @rbU = map {qq|"$_"|} @_;   my $ivU = join ' ', @rbU; print cwM( 50, $glU, $icU, $ivU) if ffB() ; eval "use Win32::Process";  die $@ if $@;  my $pjU = Win32::Process::Create(  $btU,   $glU,   "$icU $ivU", 0,  $ugU,
w1B(),  )  or die seM.cwM(51, $ugU ) . Win32::FormatMessage( Win32::GetLastError()); my $wqU = Win32::FormatMessage( Win32::GetLastError());   chomp $wqU;  $wqU =~s/The system cannot find the file specified.//i;  my $tqU = $btU->GetProcessID(); my $zkU = cwM( 52, odB(), $ugU, $pjU, $tqU ) ; $zkU .= cwM( 53, riB() )  if (riB() !~/uwi$/i);  $zkU .= $wqU;  print "$zkU\n";   return $zkU;  } sub klU { my ($vtU, $djU) = @_; $djU ||= 0;  gxU('O_B');  gxU('O_M');  gxU('O_G'); $SIG{CHLD} = 'IGNORE';
if (kbB()) { uaU()}  elsif ( not $djU) {zgU() } $SIG{__DIE__}  = sub { print seM."SIG__DIE__ (pid $$):\n@_" ; exit 1; }; $SIG{__WARN__} = sub { warn "pid $$ SIG__WARN__ \n@_" }; $SIG{INT}  = sub { warn "pid $$ SIGINT "; exit 0}; $SIG{QUIT}  = sub { warn "pid $$ SIGQUIT "; exit };  open PF, ">$vtU" or die cwM( 54, riB(), odB(), bhB(), $! ) ; print PF "$$\n" or npU($!,$vtU); close PF; } sub uaU { print cwM( 66); my @zsU = (); foreach ('systemroot', 'windir', 'comspec') { my $tmp = `set $_`; chomp $tmp; my @tmp = split '=', $tmp; $tmp[1] .= '\system32' if $tmp[0] =~/systemroot/i; push @zsU, $tmp[1]; }
$ENV{PATH} = join';', @zsU; $SIG{KILL} = sub {exit 0};  $SIG{BREAK} = sub {exit 0};   } sub zgU {  print cwM( 64); defined (my $ceU = fork)  or die  cwM( 65, riB(), odB(), bhB(), $! ) ; exit 0 if $ceU;   odB('daemon'); print "Daemon pid $$\n";   POSIX::setsid();  umask(0);  open(STDIN,"</dev/null"); $ENV{PATH} = '/usr/local/bin:/bin:/sbin:/usr/bin:/usr/sbin'; delete @ENV{'IFS', 'CDPATH', 'ENV', 'BASH_ENV'};  $SIG{KILL}  = sub {warn "pid $$ SIGKILL "; exit 0};   $SIG{TERM}  = sub {warn "pid $$ SIGTERM "; exit 0};   $SIG{PIPE}  = sub {warn "pid $$ SIGPIPE "}; $SIG{HUP}   = sub {warn "pid $$ SIGHUP "};
$SIG{ALRM}  = sub {warn "pid $$ SIGALRM "}; } sub xuU { local $_; my $tmp; my $jrU = shift; my $hqU = shift; my @gyU; foreach (@{$jrU}) { chomp; s/[\r\n]//g;   s/\[;\]//g;   s/;.*//; if ($hqU) { s//\[;\]/g;} else {s//;/g;} push @gyU, $_ unless $_ eq '' ;   } @{$jrU} = @gyU; return $jrU; }
sub fbU { local $_; my $yvU = ($_[1] ? $_[1] : '/'); my $ufU = quotemeta $yvU; my @tmp = split "$ufU",$_[0]; pop @tmp;   foreach my $tmp (@tmp) { if ($tmp) {$_.="$tmp$yvU";} else {$_ = $yvU;}   -d or mkdir "$_",0777 or return cwM(55, $_, $! ) ; } return ''; } sub gxU {  my $juU = shift ; my $l3U = shift;  local $_; no strict 'refs';  my $fnU = '*'.$juU.'::DATA';  no warnings;
seek $fnU,0,0 or return '';  use warnings;  my $xmU = ''; my $clU = 0;   while (<$fnU>) { $clU = 1 if /^=pod/ ;   if ($clU) { $clU = 0 if /^=cut/;   next;  }   s/\r\n$/\n/;  /^__DATA__|^__END__/ and last;   $xmU .= $_ ; }     my $waU = <$fnU> ;  use strict;  my $cnU = evN($xmU) ; $$l3U = $cnU if $l3U ;  $waU =~s/[\r\n]//g;  if ($cnU ne $waU) {
print "$juU\n$waU\n$cnU\n"; if ( open DBGFH, ">tmp/$juU".'u' )  {  print DBGFH $xmU ; close DBGFH;  } else { warn "444 $!" } my $tmp = txB;  if ($juU =~/^$tmp\w/) { die cwM(23-9, 2)  ;  } } };  use O_G 0.170424; sub qzU { } sub raU { local $_; my ($ixU, $wpU, $hcU) = @_; my $gnU = []; open FWTFH, "<$wpU"
or die "Can't open web template '$wpU' due to: $!" ;  my $qeU = 0;   my @ftU = ();   my @moU = ();  my $aiU = '';  while (<FWTFH>) { if (/\[\|(\w*)\[/) {   unless ($qeU) { $qeU = 1; $1 and $aiU = $1; @ftU = (); next;   } else {push @$gnU, aqM."Template filling error 1 on $wpU    "} } elsif (/\]\|\]/) {    if ($qeU) { $qeU = 0; if ($ixU->{$aiU}) { push @moU, abU(\@ftU, $ixU->{$aiU});
} else { } $aiU=''; next;   } else { push(@$gnU, aqM."Template table filling error 3 for '$wpU'   ") } } if ($qeU) { push @ftU, $_;  next; } while ($_) {   if (/\[:\[\w*\]:\]/) { my $tmp = $`; $_ = $';  my $tmp1 = $&; $tmp1 =~s/\[//g;  
$tmp1 =~s/://g; $tmp1 =~s/\]//g; if ($tmp1) { push @moU, $tmp, defined $ixU->{$tmp1} ? $ixU->{$tmp1} : '' } else { push @moU, defined $tmp ? $tmp : '', '' }   } elsif (/\[=\[(.*?)\]=\]/) { my $tmp = $`;  $_ = $';  my $tmp1 = $1; if ($tmp1) { if (open IFH, "<$tmp1") { push @moU, $tmp, <IFH>;   close IFH; } else {  push @$gnU, aqM."Template file load error for $tmp1 due to: $!" ;
} } else {push @moU, defined $tmp ? $tmp : '', ''}  } else { push @moU, defined $_ ? $_ : '';   last; } }  } close FWTFH; $qeU  and push @$gnU, aqM."Template filling error 4 in $wpU   ";   if ($hcU) { my $tmp = '';  $tmp = fbU($hcU)  and (push(@$gnU, $tmp, aqM."mkdir for $hcU failed due to: $!   ") and return (\@moU, $gnU) );  open FWTFH, ">$hcU"  or (push(@$gnU, aqM."open failed for $hcU due to: $!   ") and return (\@moU, $gnU) ); print FWTFH @moU 
or (push(@$gnU, aqM."print failed to $hcU due to: $!   ") and close FWTFH and return (\@moU, $gnU) ); close FWTFH; } return (\@moU, $gnU);  }  sub abU { local $_;  my ($ehU, $rhU )= @_; my @gyU = (); while (@$rhU) { my @tmp = @{$ehU};   foreach (@tmp) { while ($_) {  if (/\[:\[\w*\]:\]/) { if (@$rhU) {push @gyU, $`, shift @{$rhU}}   else { return @gyU } $_ = $';  } else { push @gyU, $_; 
last; } } } } return @gyU; }  sub e1U { my $tmp = txB; return $_[0] if __PACKAGE__ =~/^$tmp/;  my $tfU = shift ; my $psU = 1; while ( my @kyU = caller($psU++)) { $tfU .= " $kyU[3] called from $kyU[1] line $kyU[2]\n";  } return $tfU; } sub ciU { my $roU = xbU();  return ''  unless $roU;   return $roU  unless -f vsB;   my ($zcU, $wqU) = mhU(vsB);
chomp $zcU; $zcU =~s/\s//g; if ($wqU) { print aqM.dyM(89), vsB, $wqU ; return $roU; } return  $roU eq $zcU  ? '' :  $roU;  } sub xbU {  opendir C4UDH, w1B()   or warn cwM(173, $!)  and return ''; my @tpU = readdir C4UDH ; my $pnU = efB;     my @tyU = grep /^$pnU([\d\.]+)\.zip$/, @tpU;  return '' unless @tyU;    $tyU[0] =~/^chkr_update_([\d\.]+)\.zip$/;  return $1 if @tyU == 1 ; warn cwM(175) ;  until (@tyU == 1) { 
my $tmp = shift @tyU; unlink $tmp or warn dyM(76, $tmp, $!) ;   } $tyU[0] =~/^$pnU([\d\.]+)\.zip$/; return $1 ; } sub sgU { my $bnU = efB; my $pjU = '';  if ( opendir (FUDZDH, '.' ) )  { my @tpU = readdir (FUDZDH); foreach  (@tpU) { next if $_ eq '.' or $_ eq '..'; if (/^$bnU\d+\.\d+\.zip$/ ) { if (move $_, 'bak'.xhB().$_ ) { $pjU .= "$_ moved to bak" ;     }   else { $pjU .= dyM(77, $_, w1B(), 'bak', $!);  }
} } closedir FUDZDH; }  else { return dyM(74, w1B(), $!) } if ( -f vsB )  { chmod 0777, vsB;   if ( unlink vsB ) { $pjU .= vsB . 'deleted.';     }  else { $pjU .= dyM(76, vsB, $!)} } $pjU;  } sub rdU { my ($jxU, $xwU, $cuU) = @_; $xwU ||= 1; $cuU ||= 65535; unless ($jxU and $jxU =~/^\d{1,5}$/ and $jxU <= $cuU and $jxU >= $xwU ) { return aqM.cwM( 56, $jxU, $xwU, $cuU ) ;
} return  ''; } sub yaU { my $knU = shift; my $cvU = shift; defined $cvU or $cvU = 0;  my @bcU = ();  if (open GFFH, "< $knU" ) { @bcU = <GFFH>;  close GFFH } elsif ( not $cvU )  { warn cwM( 57, $knU, $! ) ; } return wantarray ? @bcU : \@bcU;  } sub jeU { yaU(@_) } ;   sub iqU { my $knU = shift;
my $blU = shift; defined $blU or $blU = 1000000;  my $cvU = shift; defined $cvU or $cvU = 0;  my @bcU = ();  if (open GTFH, "< $knU" ) {   my $smU = (stat(GTFH))[7];  my $tmp = $smU <= $blU ? $smU : $blU ;  if (seek(GTFH, 0 - $tmp, 2) ) {  @bcU = <GTFH>; shift @bcU;   close GTFH; }   else { my $lwU = aqM.cwM(324, $knU, $!); warn $lwU unless $cvU; @bcU = ($lwU);  } } elsif ( not $cvU )  {
my $lwU = aqM.cwM( 57, $knU, $! ) ; warn $lwU;  @bcU = ($lwU); } return wantarray ? @bcU : \@bcU;  } {  my $cmU = 0; sub vlU { $cmU = 1;      qmU(@_);  $cmU = 0;   } sub qmU { my $knU = shift; my $zkU = ''; if (open WFFH, ">$knU" ) { binmode WFFH if $cmU;  print WFFH @_;  close WFFH;
$cmU = 0; } else { $zkU = cwM( 24, $knU, $!); warn $zkU; } return $zkU;  } } sub oaU { local $_; my $nwU = shift; my ($tmp, $zxU, $syU, $boU, $frU); my $ptU = {}; if (open RH, "<$nwU") { while (<RH>) { chomp ( $zxU = $_); chomp ( $syU = <RH> ); $ptU->{$zxU} = $syU;  if ($syU =~/^ARRAY\(0x\w{1,10}\)$/) { 
$ptU->{$zxU} = ( $syU = [] );  chomp ( $tmp = <RH> ) ; until ($tmp eq '') { push @$syU, $tmp ; chomp ( $tmp = <RH> ) ; } } elsif ($syU =~/^HASH\(0x\w{1,10}\)$/) { $ptU->{$zxU} = ( $syU = {} ); chomp ( $boU = <RH> ) ; until ($boU eq '') { chomp ( $frU = <RH> ) ; $syU->{$boU} = $frU; chomp ( $boU = <RH> ) ; } } } close RH; return $ptU; }
else {shL(cwM( 33, $nwU, $! ) ) } return $ptU; } { my $kpU; my $gaU; my $wzU; my $uiU; sub zaU { local $_; ($wzU, $gaU) = @_; $kpU = 0; my $tmp = ''; $tmp = fbU($gaU) and shL($tmp . $gaU."$!.\n") and return 0; local $SIG{INT} = 'IGNORE'; if (-f $gaU) { my $udU = copy $gaU, "$gaU.bak"; unless ($udU) { shL(aqM.cwM( 58, $gaU, "$gaU.bak", $! ) ) ; return 0;
} } open $uiU, ">$gaU" or shL(aqM.cwM(33, $gaU, $! ) ) and return 0; my $xgU = ueU($wzU); if ($xgU) { $xgU->($wzU) } else {shL(cwM( 59, $wzU ) ) } close $uiU; return $kpU; } sub uhU { my $ovU = shift; while ( my ($zxU,$syU) = each %$ovU ) { jnU("$zxU\n$syU\n"); my $xgU = ueU($syU); if ($xgU) { $xgU->($syU) } } jnU("\n");   } sub utU { my $toU = shift;
foreach my $syU ( @$toU ) { jnU("$syU\n") ; my $xgU = ueU($syU); if ($xgU) { $xgU->($syU) } } jnU("\n");   } sub jnU { print $uiU $_[0] or ($kpU++ and shL(cwM( 43 , $gaU, $! ) ) ) ;  die cwM( 60)  if $kpU > 20;   } sub ueU { my $syU = shift; if (ref($syU) eq 'HASH' ) { return \&uhU } elsif (ref($syU) eq 'ARRAY') { return \&utU } return ''; } } sub evN {return crG(shift);}  sub g2U {
dfU(1); dfU(3); } {  my %hvU = (); sub elU { my ($yhU, $ljU, $ndU) = @_; defined $ndU or $ndU ||= 1; my $wqU = edU($ljU); return ('', $wqU ) if $wqU; $ljU = decode_base64($ljU) unless $ndU; my @ggU = split //, $ljU; my $zeU = ''; my $h1U = 0; foreach (@ggU) { $zeU .= $_ ^ $hvU{$yhU}->[$h1U++] ;  } $zeU = encode_base64($zeU) if $ndU; chomp $zeU; return ($zeU,'') ;
} my $rkU = '01234567890ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz' ; sub dfU { my $yhU = shift;  $yhU ||= 1;   my $yzU = nmB.xhB ; my $u3U = $yzU.'.jwqxzk';   $u3U = $yzU.'.jqwkzx' if $yhU == 2;  $u3U = $yzU.'.jkxwqz' if $yhU == 3;  my $pjU = 0; if (-f $u3U ) {  open CNMPFH, $u3U or die seM.cwM( 33, "pad $yhU", $!);   my $guU = <CNMPFH>; chomp $guU; $hvU{$yhU} = [split //, $guU] ; } else {  $pjU = 1;  my $zpU = $yzU.hhB; if ( -f $zpU and $yhU == 2){  
unlink $zpU or print d1M.cwM( 36, "pad '$yhU' ", $! ) ;   } open CNMPFH, "> $u3U" or die seM.cwM( 33, "pad $yhU", $!); chomp $rkU; my @rrU = split //, $rkU ; my $guU = ''; my $h1U = @rrU; $guU .= $rrU[int(rand($h1U))] foreach (@rrU); print CNMPFH $guU or die seM.cwM( 43, "pad $yhU", $! ) ; close CNMPFH; if (kbB()) {  `attrib +h +r $u3U`;   } else { chmod 400, $u3U;  } $hvU{$yhU} = [split //, $guU] ; if ( $yhU == 2 ) { my $o1U = gmU(1); die seM.$o1U if $o1U; 
} if ( -f lgB.$yhU) { unlink lgB.$yhU or die seM.cwM( 36, "new instl '$yhU' ", $! ) ; } else { my $pkU = qbB.$yhU;  open NPAFH, ">$pkU" or die seM.cwM( 45, "sec alrt $yhU", $! ) ; print NPAFH   localtime(time).O_D::nrD($yhU);  close NPAFH;                 } } close CNMPFH; $pjU;  }  }  sub eoU { my $wbU = w1B().xhB().cpB;  opendir PDDH, $wbU or die seM.cwM( 47, 'pid ', $! );  my @tpU = readdir PDDH  or die seM.cwM( 48, 'pid ', $! ) ;  @tpU = grep /.+\.pid/, @tpU; 
my @tzU = ();  foreach (@tpU)  { chomp;  my( $qfU, $tqU) = flU($wbU.xhB().$_); if ($qfU ) { push @tzU, $tqU ;  } else { my $krU = $wbU.xhB().$_ ; unlink $krU or die seM.cwM( 36, '$_ ' ) ; } } return @tzU ;  } sub gmU { my $grU = shift;  my $pjU = ''; my $u3U = nmB.xhB.htB; return $pjU if ( not $grU and -f $u3U);  if (open DFCFH, ">$u3U") {
my ($ryU, $wqU ) = elU(2, gvB) ; print DFCFH "$ryU\n"; close DFCFH; } else { $pjU = cwM( 61, $! ) ;  } $pjU; } sub wxU { chr $_[0] + 30 } sub ktU {   } sub ybU {} sub edU { return length($_[0]) <= rmB  ? '' : aqM.cwM( 62, rmB ) } sub bgU { local $_; my $zwU = '';
while (1) {   $_ = ReadKey(0);  if (/[\r\n]/) { print "\n" unless kbB(); last; }         if (/[\b\x7f]/) {  next unless $zwU;  chop $zwU;  print "\r$zwU "; next; } $zwU .= $_;  print "\r$zwU" unless kbB(); } $zwU;   } sub mmU { qmU($_[0], 0) }  sub h2U { my $fnU = shift; 
local $_; no warnings;  seek $fnU,0,0 or return '';   use warnings;  my $jdU = 0; my $bqU = 0;  my $clU = 1; while (<$fnU>) { if ($clU) { $clU = 0 if /^=cut/;   next;  }   $jdU++; $bqU += length ; last if /^__DATA__|^__END__/ ; } $jdU ||= 1;  return   $bqU/$jdU < 200 ;   } sub jvU {
my ($i5U, $azU, $agU) = @_ ; $agU ||= 10;      my ($esU, $wqU) = ('',''); my $tmp = txB; ($esU, $wqU) = mhU('tPrt') unless __PACKAGE__ =~/^$tmp/;  $esU = $esU ? ":$esU" : '' ;     my $ukU = LWP::UserAgent->new( timeout => $agU,  max_size => undef, ssl_opts => {  verify_hostname => $esU ? 0 : 1,  }   ); $ukU->agent(riB()."/$VERSION");  return $ukU->post( ddB.$esU.pqB.$i5U, $azU );  } our @Months = qw(Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec); sub h3U { my $ykU = time() ; return $ykU unless @_; my @kfU = localtime($ykU);
if (lc $_[0] eq 'usa') {return ($kfU[4]+1)."/".($kfU[3])."/".($kfU[5]+1900)."  $kfU[2]:$kfU[1]:$kfU[0]"}  elsif (lc $_[0] eq 'raw') {return $kfU[5].$kfU[4].$kfU[3].$kfU[2].$kfU[1].$kfU[0]}   elsif (lc $_[0] eq 'rfc5424') {return ($kfU[5]+1900).'-'.sprintf("%02u", $kfU[4]+1).'-'.sprintf("%02u", $kfU[3]).'T' .sprintf("%02u",$kfU[2]).':'.sprintf("%02u",$kfU[1]).':'.sprintf("%02u",$kfU[0]) .'00:00';}  else {return $kfU[$_[0]]} } sub phU { my ($hwU, $lzU, $jhU, $bfU, $twU) = localtime(time()); $Months[$twU].' '.sprintf("%02u",$bfU).' '.sprintf("%02u", $jhU).':'.sprintf("%02u", $lzU).':'.sprintf("%02u", $hwU) ; } sub bpU { my ($hwU, $lzU, $jhU, $bfU, $twU, $brU) = localtime(time()); sprintf("%02u", $brU -100).sprintf("%02u", ++$twU).sprintf("%02u",$bfU).sprintf("%02u", $jhU).sprintf("%02u", $lzU) ; } sub ohU { my ($hwU, $lzU, $jhU, $bfU, $twU, $brU) ; if ($_[0]) { ($hwU, $lzU, $jhU, $bfU, $twU, $brU) = gmtime(time()); }
else { ($hwU, $lzU, $jhU, $bfU, $twU, $brU) = localtime(time()); } sprintf("%02u", $brU -100).sprintf("%02u", ++$twU).sprintf("%02u",$bfU). sprintf("%02u", $jhU).sprintf("%02u", $lzU).sprintf("%02u", $hwU) ; } sub ccU { my ($hwU, $vdU) = gettimeofday(); my ($mrU, $lzU, $jhU, $bfU, $twU, $brU) = localtime($hwU); (++$twU).'/'.$bfU.'/'.($brU+1900).' '.sprintf("%02u",$jhU).':'.sprintf("%02u",$lzU).':'.sprintf("%02u.%06u", $mrU, $vdU) ; } sub oeU { my @ojU = split ' ', scalar localtime(time()); return "$ojU[0], $ojU[2] $ojU[1] $ojU[4] $ojU[3] ".qkU(); } { my $lsU; sub qkU { unless ($lsU) { my @eaU = localtime(time());
my $tjU = int((timegm(@eaU) - timelocal(@eaU))/60);  my $pdU = sprintf('%+.2d', $tjU/60);  my $woU = $tjU%60; $woU = ($woU > 1 and $woU < 31) ? '30' : '00'; $lsU = "$pdU$woU"; } $lsU; } sub t1U { $lsU = ''} } sub i2U { my ($vpU) = @_; return unless $vpU; while ($vpU-- > 0) { select(undef, undef, undef, 1.00) ;  } } sub xxU { my ($vtU, $vqU) = @_; print 'END____ '.riB().' '.odB()." pid $$ \n"  if $vqU;  
$vtU ||=''; if ( -f $vtU) { if (open PFH, "<$vtU") { my $ygU = <PFH>;  if ($ygU) {  chomp $ygU; unlink $vtU if $ygU =~/^$$/; } } else {  warn cwM(63, $! ) ;  } } } sub END{} 1;
__DATA__
3jZBUN5CWlEarX9ykP11oA
!"#$'%&()*+,-./01234567890>;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~
